#ifndef NSS_SOCKETWRITER_H
#define NSS_SOCKETWRITER_H

#include <QDataStream>
#include <QLocalSocket>
namespace NSS {
    class SocketWriter {
        Q_DISABLE_COPY(SocketWriter)
    public:
        SocketWriter(QLocalSocket *socket);
        ~SocketWriter();

        SocketWriter &operator << (const quint32 &u);
        SocketWriter &operator << (const QString &s);

    private:
        QByteArray data;
        QDataStream *output;
        QLocalSocket *socket;
    };
}

#endif // NSS_SOCKETWRITER_H
